> ## Documentation Index
> Fetch the complete documentation index at: https://docs.story.foundation/llms.txt
> Use this file to discover all available pages before exploring further.

# GetValidators



## OpenAPI

````yaml /api-reference/consensus-client/consensus-client-api.json get /staking/validators
openapi: 3.1.0
info:
  title: Consensus Client Api
  description: ''
  version: 1.0.0
servers: []
security: []
tags:
  - name: Cosmos Origin
  - name: Cosmos Origin/Staking
  - name: Cosmos Origin/Auth
  - name: Cosmos Origin/Bank
  - name: Cosmos Origin/Distribution
  - name: Cosmos Origin/Mint
  - name: Story Extend
  - name: Story Extend/Staking
paths:
  /staking/validators:
    get:
      tags:
        - Cosmos Origin/Staking
      summary: GetValidators
      parameters:
        - name: pagination.key
          in: query
          description: >-
            key is a value returned in PageResponse.next_key to begin querying
            the next page most efficiently. Only one of offset or key should be
            set.
          required: false
          example: FPoybu9dO+FCSV562u9keKVgUwur
          schema:
            type: string
        - name: pagination.offset
          in: query
          description: >-
            offset is a numeric offset that can be used when key is unavailable.
            It is less efficient than using key. Only one of offset or key
            should be set.
          required: false
          example: '0'
          schema:
            type: string
        - name: pagination.limit
          in: query
          description: >-
            limit is the total number of results to be returned in the result
            page. If left empty it will default to a value to be set by each
            app.
          required: false
          example: '10'
          schema:
            type: string
        - name: pagination.count_total
          in: query
          description: >-
            count_total is set to true to indicate that the result set should
            include a count of the total number of items available for
            pagination in UIs. count_total is only respected when offset is
            used. It is ignored when key is set.
          required: false
          example: 'true'
          schema:
            type: boolean
        - name: pagination.reverse
          in: query
          description: >-
            reverse is set to true if results are to be returned in the
            descending order.
          required: false
          example: 'true'
          schema:
            type: boolean
        - name: status
          in: query
          description: status enables to query for validators matching a given status.
          required: false
          example: ''
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  msg:
                    type: object
                    properties:
                      validators:
                        type: array
                        items:
                          type: object
                          properties:
                            operator_address:
                              type: string
                            consensus_pubkey:
                              type: object
                              properties:
                                type:
                                  type: string
                                value:
                                  type: string
                              required:
                                - type
                                - value
                            status:
                              type: integer
                            tokens:
                              type: string
                            delegator_shares:
                              type: string
                            description:
                              type: object
                              properties:
                                moniker:
                                  type: string
                              required:
                                - moniker
                            unbonding_time:
                              type: string
                            commission:
                              type: object
                              properties:
                                commission_rates:
                                  type: object
                                  properties:
                                    rate:
                                      type: string
                                    max_rate:
                                      type: string
                                    max_change_rate:
                                      type: string
                                  required:
                                    - rate
                                    - max_rate
                                    - max_change_rate
                                update_time:
                                  type: string
                              required:
                                - commission_rates
                                - update_time
                            min_self_delegation:
                              type: string
                            support_token_type:
                              type: integer
                            rewards_tokens:
                              type: string
                            delegator_rewards_shares:
                              type: string
                          required:
                            - operator_address
                            - consensus_pubkey
                            - status
                            - tokens
                            - delegator_shares
                            - description
                            - unbonding_time
                            - commission
                            - min_self_delegation
                            - rewards_tokens
                            - delegator_rewards_shares
                            - support_token_type
                      pagination:
                        type: object
                        properties:
                          total:
                            type: string
                        required:
                          - total
                    required:
                      - validators
                      - pagination
                  error:
                    type: string
                required:
                  - code
                  - msg
                  - error
              examples:
                '1':
                  summary: Success
                  value:
                    code: 200
                    msg:
                      validators:
                        - operator_address: '0xdb8e606ad7c02f37e43d10a10126791dc94b0434'
                          consensus_pubkey:
                            type: tendermint/PubKeySecp256k1
                            value: A6KRGirXFYsv5oVQz8d8YIl0Nj23bXo2jLHui72y12Bi
                          status: 3
                          tokens: '1000000'
                          delegator_shares: '1000000.000000000000000000'
                          description:
                            moniker: '0x9DFC26A7662106EEEC5E87B20CBB690CFCE73A05'
                          unbonding_time: '1970-01-01T00:00:00Z'
                          commission:
                            commission_rates:
                              rate: '0.070000000000000000'
                              max_rate: '0.100000000000000000'
                              max_change_rate: '0.010000000000000000'
                            update_time: '2024-04-16T11:04:40.60280319Z'
                          min_self_delegation: '1024000000000'
                          support_token_type: 1
                          rewards_tokens: '1000000.000000000000000000'
                          delegator_rewards_shares: '1000000.000000000000000000'
                        - operator_address: '0xcd5faabca5bea3c5fc5e2371c7b397604720c2c2'
                          consensus_pubkey:
                            type: tendermint/PubKeySecp256k1
                            value: A/9SMxZTnh3Rq96Eygg9MfB6g82euMXhjT5nMWrhLlyf
                          status: 3
                          tokens: '1000000'
                          delegator_shares: '1000000.000000000000000000'
                          description:
                            moniker: '0x99C28AE30CBEFEFF75E91C66692FE0BD9279B861'
                          unbonding_time: '1970-01-01T00:00:00Z'
                          commission:
                            commission_rates:
                              rate: '0.070000000000000000'
                              max_rate: '0.100000000000000000'
                              max_change_rate: '0.010000000000000000'
                            update_time: '2024-04-16T11:04:40.60280319Z'
                          min_self_delegation: '1024000000000'
                          rewards_tokens: '500000.000000000000000000'
                          delegator_rewards_shares: '500000.000000000000000000'
                        - operator_address: '0xcd29b70ff04c0aa386f7b3453df0e5ed3d4f67bb'
                          consensus_pubkey:
                            type: tendermint/PubKeySecp256k1
                            value: A9mdRUGE+sv2oD6jfrNvalDGmELqOtQgOKjVU3vRWyWU
                          status: 3
                          tokens: '1000000'
                          delegator_shares: '1000000.000000000000000000'
                          description:
                            moniker: '0x768A39103B552E7AE56635DD4E9B55922AAFC504'
                          unbonding_time: '1970-01-01T00:00:00Z'
                          commission:
                            commission_rates:
                              rate: '0.070000000000000000'
                              max_rate: '0.100000000000000000'
                              max_change_rate: '0.010000000000000000'
                            update_time: '2024-04-16T11:04:40.60280319Z'
                          min_self_delegation: '1024000000000'
                          support_token_type: 1
                          rewards_tokens: '1000000.000000000000000000'
                          delegator_rewards_shares: '1000000.000000000000000000'
                        - operator_address: '0xc5c0beeac8b37ed52f6a675ee2154d926a88e3ec'
                          consensus_pubkey:
                            type: tendermint/PubKeySecp256k1
                            value: AqBVHHkyOfiie29Wrez6hMvC644kbZfPgXA1jFEs7Uwq
                          status: 3
                          tokens: '1000000'
                          delegator_shares: '1000000.000000000000000000'
                          description:
                            moniker: '0x0FC41199CE588948861A8DA86D725A5A073AE91A'
                          unbonding_time: '1970-01-01T00:00:00Z'
                          commission:
                            commission_rates:
                              rate: '0.070000000000000000'
                              max_rate: '0.100000000000000000'
                              max_change_rate: '0.010000000000000000'
                            update_time: '2024-04-16T11:04:40.60280319Z'
                          min_self_delegation: '1024000000000'
                          rewards_tokens: '500000.000000000000000000'
                          delegator_rewards_shares: '500000.000000000000000000'
                      pagination:
                        total: '4'
                    error: ''
          headers: {}
      deprecated: false
      security: []

````